Reply

Solidedge ST7 drawing file BOM to Excel using VB.Net

Hi Guys,

 

This is ganesh, I am new for Solidedge Vb.net API programming. I have experience in Vb.net.

 

Actually, I am looking for Solidedge ST7 drawing file BOM to Excel using VB.Net.

 

I don’t have any idea and knowledge about this(solidedge API).

 

Please give me any suggestion and ideas for further process.

 

Thnks
Ganesh

 

2 REPLIES

Re: Solidedge ST7 drawing file BOM to Excel using VB.Net

hi,

 

Just i tried... its working for me. please try it...

 

Activate Solidedge Draft & then run this code...

 

Dim objApp As SolidEdgeFramework.Application
Dim objDraft As SolidEdgeDraft.DraftDocument
Dim objSheet1 As SolidEdgeDraft.Sheet
Dim objpartlts As SolidEdgeDraft.PartsLists
Dim objpartlt As SolidEdgeDraft.PartsList
Dim objpartltscolms As SolidEdgeDraft.TableColumns
Dim objpartltsrows As SolidEdgeDraft.TableRows
Dim objpartcell As SolidEdgeDraft.TableCell
Dim APP As New Excel.Application
Dim worksheet As Excel.Worksheet
Dim workbook As Excel.Workbook

APP.Visible = True

workbook = APP.Workbooks.Open("D:\Temp\12345.xlsx")

worksheet = workbook.Worksheets("sheet1")

objApp = GetObject(, "SolidEdge.Application")

objDraft = objApp.ActiveDocument

objSheet1 = objDraft.ActiveSheet

objpartlts = objDraft.PartsLists

objpartlt = objpartlts.Item(1)

objpartltscolms = objpartlt.Columns

objpartltsrows = objpartlt.Rows

For i = 1 To objpartltscolms.Count - 2

worksheet.Cells(1, i).value = objpartltscolms.Item(i).HeaderRowValue

For J = 1 To objpartltsrows.Count

objpartcell = objpartlt.Cell(i, J)

worksheet.Cells(J + 1, i).value = objpartcell.value

Next

Next

Re: Solidedge ST7 drawing file BOM to Excel using VB.Net

Hi Balamurugan,

 

Thnks lot for timely help.

 

I will try out your coding and update you.

 

Thnks

Ganesh